| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | List of all members
cv::detail::GraphCutSeamFinder Class Reference
Images stitching » Seam Estimation

Minimum graph cut-based seam estimator. See details in [127] . More...

`#include <opencv2/stitching/detail/seam_finders.hpp>`

Inheritance diagram for cv::detail::GraphCutSeamFinder:

## Public Member Functions
| GraphCutSeamFinder (int cost_type=COST_COLOR_GRAD, float terminal_cost=10000.f, float bad_region_penalty=1000.f)
| GraphCutSeamFinder (String cost_type, float terminal_cost=10000.f, float bad_region_penalty=1000.f)
| ~GraphCutSeamFinder ()
void | find (const std::vector< UMat > &src, const std::vector< Point > &corners, std::vector< UMat > &masks) CV_OVERRIDE
| Estimates seams. More...
Public Member Functions inherited from cv::detail::SeamFinder
virtual | ~SeamFinder ()

## Additional Inherited Members
Public Types inherited from cv::detail::GraphCutSeamFinderBase
enum | CostType { COST_COLOR, COST_COLOR_GRAD }
Public Types inherited from cv::detail::SeamFinder
enum | { NO, VORONOI_SEAM, DP_SEAM }
Static Public Member Functions inherited from cv::detail::SeamFinder
static Ptr< SeamFinder > | createDefault (int type)

## Detailed Description

Minimum graph cut-based seam estimator. See details in [127] .

## Constructor & Destructor Documentation

## ◆ GraphCutSeamFinder() [1/2]

cv::detail::GraphCutSeamFinder::GraphCutSeamFinder | ( | int | cost_type = `COST_COLOR_GRAD`,
|  | float | terminal_cost = `10000.f`,
|  | float | bad_region_penalty = `1000.f`
| ) |  |

Python:
| <detail_GraphCutSeamFinder object> | = | cv.detail_GraphCutSeamFinder( | cost_type[, terminal_cost[, bad_region_penalty]] | )

## ◆ GraphCutSeamFinder() [2/2]

cv::detail::GraphCutSeamFinder::GraphCutSeamFinder | ( | String | cost_type,
|  | float | terminal_cost = `10000.f`,
|  | float | bad_region_penalty = `1000.f`
| ) |  |

Python:
| <detail_GraphCutSeamFinder object> | = | cv.detail_GraphCutSeamFinder( | cost_type[, terminal_cost[, bad_region_penalty]] | )

## ◆ ~GraphCutSeamFinder()

cv::detail::GraphCutSeamFinder::~GraphCutSeamFinder | ( |  | ) |

## Member Function Documentation

## ◆ find()

void cv::detail::GraphCutSeamFinder::find | ( | const std::vector< UMat > & | src,
|  | const std::vector< Point > & | corners,
|  | std::vector< UMat > & | masks
| ) |  |
| virtual

Python:
| None | = | cv.detail_GraphCutSeamFinder.find( | src, corners, masks | )

Estimates seams.

Parameters

  src | Source images
  corners | Source image top-left corners
  masks | Source image masks to update

Implements cv::detail::SeamFinder.

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/seam_finders.hpp